Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class Log

    java.lang.Object
      nl.liacs.subdisc.Log

    public class Log

extends java.lang.Object

Field Summary
`static boolean` | `COMMANDLINELOG`
`static boolean` | `DEBUG`
`static boolean` | `ERROR`
`static boolean` | `FORCECOMMANDLINELOG`
`static boolean` | `LOG`
`static boolean` | `REFINEMENTLOG`
`static boolean` | `SQLLOG`
`static boolean` | `SQLRESULTLOG`

Constructor Summary
`Log()`

Method Summary
`static void` | `closeFileOutputStreams()`
`static void` | `debug(java.lang.String s)`
`static void` | `error(java.lang.String s)`
`static void` | `logCommandLine(java.lang.String s)`
`static void` | `logRefinement(java.lang.String s)`
`static void` | `logSql(java.lang.String s)`
`static void` | `openFileOutputStreams()`
`static void` | `toUniqueFile(java.lang.String theFileName, java.lang.String theContent)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static boolean DEBUG

### ERROR

    public static boolean ERROR

### SQLLOG

    public static boolean SQLLOG

### SQLRESULTLOG

    public static boolean SQLRESULTLOG

### REFINEMENTLOG

    public static boolean REFINEMENTLOG

### COMMANDLINELOG

    public static boolean COMMANDLINELOG

### LOG

    public static boolean LOG

### FORCECOMMANDLINELOG

    public static boolean FORCECOMMANDLINELOG

Constructor Detail

### Log

    public Log()

Method Detail

### openFileOutputStreams

    public static void openFileOutputStreams()

### closeFileOutputStreams

    public static void closeFileOutputStreams()

### error

    public static void error(java.lang.String s)

### debug

    public static void debug(java.lang.String s)

### logSql

    public static void logSql(java.lang.String s)

### logRefinement

    public static void logRefinement(java.lang.String s)

### logCommandLine

    public static void logCommandLine(java.lang.String s)

### toUniqueFile

    public static void toUniqueFile(java.lang.String theFileName,
                                    java.lang.String theContent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD